Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05993 Core Feature Always Jul 21, 2015, 10:43 Mar 17, 2021, 00:23
Tester haynor666 View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.163 Fixed in Version 0.218 Build 64-bit
Fixed in Git Commit 1329bdb Github Pull Request #
Summary 05993: prescale option is now limited to 3
Description From some time prescale option is limited to only 3 at max. Previously it worked to 4. In newwideo.txt is mentioned as working from 1 to 8.
Steps To Reproduce
Additional Information If we prescale let's say 256x224 then for filtering we get prescale 2 (512x448), prescale 3 (768x672), prescale 4 (1024x896) prescale 5 (1280x1120). Those ranges are acceptable for most of modern LCD monitors.
Github Commit
Flags
Regression Version 0.160
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.11892
Robbbert
Developer
Jul 24, 2015, 08:34
edited on: Jul 24, 2015, 08:36
Change done by couriersud on 2015-03-01 to fix a neogeo issue.

http://git.redump.net/mame/commit/src/osd/windows/video.c?id=b818233abccbb6e190ca7dddd65e730d7b683ad0
User avatar
No.11893
haynor666
Tester
Jul 24, 2015, 09:33
I noticed some time ago that using prescale with filter causes to position/stretch a bit incorrectly but limiting this option will just in my opinion hide the problem.
User avatar
No.11924
NekoEd
Senior Tester
Aug 1, 2015, 17:25
This isn't new anymore. What are we going to do with it?
User avatar
No.18507
Robbbert
Developer
Mar 3, 2021, 02:28
It appears that prescale up to 8 is now allowed.
User avatar
No.18572
ICEknight
Tester
Mar 16, 2021, 18:57
It works on d3d, but not in bgfx video mode, so not completely resolved?
User avatar
No.18576
Robbbert
Developer
Mar 17, 2021, 00:23
edited on: Mar 17, 2021, 02:28
bgfx was never touched, it's always been like that.

If you want an enhancement, make a new request.